List Withdraws
curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v1/ramp/withdraw \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v1/ramp/withdraw"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v1/ramp/withdraw', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"message": "Success",
"data": {
"data": [
{
"order_id": "f75fdee5-0cc1-4b52-818e-497dd376cced",
"short_order_id": "WD260124-N1PAAIXX",
"order_status": "Pending",
"order_type": "Withdraw",
"currency": "USDC",
"network": "ETH",
"amount": "100",
"withdraw_address": "0x0993446fBB19f4e828768515eF7A9408B5F1A000",
"network_fee": "0.66",
"processing_fee": "0",
"actual_amount": "99.34",
"reason": "test",
"create_time": "2026-01-24 11:41:37 +08:00",
"need_travel_rule": true,
"travel_rule_status": "REJECTED",
"txid": "0x1234567890abcdef",
"completed_time": "<string>"
}
],
"total_pages": 123,
"total_items": 123
}
}Withdrawals
List Withdraws
Query withdrawal records. Stablecoin Account API Publisher Disclaimer
GET
/
v1
/
ramp
/
withdraw
List Withdraws
Authorizations
The API token for login provided by UQPAY.
Headers
Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts API. If omitted or empty, the request is executed using the master account.
More information at Connected Accounts.
Query Parameters
Page number, default 1
Required range:
x >= 1Items per page, default 20
Required range:
x >= 1Filter by currency
Filter by network
Order status
Exclusive start time used to filter by create_time. ISO 8601 format.
Example:
"2024-03-01T00:00:00+08:00"
Exclusive end time used to filter by create_time. ISO 8601 format.
Example:
"2024-03-02T00:00:00+08:00"

